using Application.Abstractions.Messaging;
﻿using Application.Abstractions.Identity;
using Application.Abstractions.Identity.Models;

namespace Application.Features.Director.User.Get
{
    public sealed class Handler(IIdentityUserReader userReader) : IQueryHandler<Query, AspNetUserDto?>
    {
        public async Task<AspNetUserDto?> Handle(Query request, CancellationToken ct)
        {
            return await userReader.GetUserAsync(request.ID, ct);
        }
    }
}